# ble_provider

This package provides Flutter access to Pole Star indoor location provider.
For the moment, it only contains Android implementation.

## Adding the Pole Star key

This project requires a Pole Star key, which can be found under the "Indoor Location" tab of your 
venue on the [Mapwize Studio](https://studio.mapwize.io/); without a valid key, the provider will 
crash when initialized.

## Available methods

``Future<void> init (String polestarKey)``
Must be called to initialize the Pole Star indoor location provider.

``Future<bool> setLocationCallback (Function(IndoorLocation) callback)``
Sets the function to be called when the package receives a new location.

``Future<bool> start()``
Starts the indoor location provider; returns true if started properly.

``Future<bool> stop()``
Stops the indoor location provider; returns true if stopped properly.